Bug 717013 (CVE-2011-2204) - CVE-2011-2204 tomcat: password disclosure vulnerability
Summary: CVE-2011-2204 tomcat: password disclosure vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2204
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 717015 717016 719181 719188 738503 738504 738505 738506 738507 802292
Blocks: 717279
TreeView+ depends on / blocked
 
Reported: 2011-06-27 18:21 UTC by Vincent Danen
Modified: 2019-09-29 12:45 UTC (History)
10 users (show)

Fixed In Version: tomcat 5.5.34, tomcat 6.0.33
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-23 01:23:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1780 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2011-12-05 22:46:42 UTC
Red Hat Product Errata RHSA-2011:1845 normal SHIPPED_LIVE Moderate: tomcat5 security update 2011-12-20 22:21:27 UTC
Red Hat Product Errata RHSA-2012:0679 normal SHIPPED_LIVE Moderate: tomcat5 security and bug fix update 2012-05-21 20:28:06 UTC
Red Hat Product Errata RHSA-2012:0680 normal SHIPPED_LIVE Moderate: tomcat5 security and bug fix update 2012-05-21 20:27:56 UTC
Red Hat Product Errata RHSA-2012:0681 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2012-05-21 20:38:23 UTC
Red Hat Product Errata RHSA-2012:0682 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2012-05-21 20:48:57 UTC

Description Vincent Danen 2011-06-27 18:21:19 UTC
From the upstream advisory notes [1]:

When using the MemoryUserDatabase (based on tomcat-users.xml) and creating users via JMX, an exception during the user creation process may trigger an error message in the JMX client that includes the user's password. This error message is also written to the Tomcat logs. User passwords are visible to administrators with JMX access and/or administrators with read access to the tomcat-users.xml file. Users that do not have these permissions but are able to read log files may be able to discover a user's password.

This is fixed in Tomcat 5.5.34 (not yet released) [2] and Tomcat 6.0.33 (not yet released) [3].


[1] http://tomcat.apache.org/security-5.html
[2] http://svn.apache.org/viewvc?view=revision&revision=1140072
[2] http://svn.apache.org/viewvc?view=revision&revision=1140071

Comment 1 Vincent Danen 2011-06-27 18:23:16 UTC
Created tomcat6 tracking bugs for this issue

Affects: fedora-all [bug 717016]

Comment 2 Vincent Danen 2011-06-27 18:23:19 UTC
Created tomcat5 tracking bugs for this issue

Affects: fedora-all [bug 717015]

Comment 10 David Jorm 2011-07-28 00:49:26 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.

Comment 14 Fedora Update System 2011-10-19 04:35:51 UTC
tomcat6-6.0.32-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-10-20 09:57:56 UTC
tomcat6-6.0.32-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 errata-xmlrpc 2011-12-05 17:48:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1780 https://rhn.redhat.com/errata/RHSA-2011-1780.html

Comment 17 errata-xmlrpc 2011-12-20 17:26:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1845 https://rhn.redhat.com/errata/RHSA-2011-1845.html

Comment 18 errata-xmlrpc 2012-05-21 16:31:52 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0680 https://rhn.redhat.com/errata/RHSA-2012-0680.html

Comment 19 errata-xmlrpc 2012-05-21 16:33:38 UTC
This issue has been addressed in following products:

  JBEWS 1.0

Via RHSA-2012:0679 https://rhn.redhat.com/errata/RHSA-2012-0679.html

Comment 20 errata-xmlrpc 2012-05-21 16:39:01 UTC
This issue has been addressed in following products:

  JBEWS 1.0

Via RHSA-2012:0681 https://rhn.redhat.com/errata/RHSA-2012-0681.html

Comment 21 errata-xmlrpc 2012-05-21 16:49:32 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0682 https://rhn.redhat.com/errata/RHSA-2012-0682.html


Note You need to log in before you can comment on or make changes to this bug.